<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
	<xsl:apply-templates select="//FMEADirect"/>
	
</xsl:template>

<xsl:template match="FMEADirect">
	<HEAD>		
		<TITLE>FMEA - Direct Effects</TITLE>
		<LINK REL="stylesheet" TYPE="text/css" HREF="FTOutput/css/menus.css" />
		<SCRIPT LANGUAGE="JavaScript" SRC="FTOutput/javascript/menus.js"></SCRIPT>
	</HEAD>
	<BODY>
		<TABLE id="MainTable" cellSpacing="0">
			<TR id="MenuRow">
				<TD>
					<DIV id="hipHop">
						<a target="_self" href="../Index.xml"><EM>hip</EM>HOP</a>
					</DIV>
				</TD>
			</TR>
<TR id="MenuRow">
				<TD>
					<DIV id="divMenuBar" ONMOUSEOVER="if (document.all) MenuBar_over();" ONMOUSEOUT="if (document.all) MenuBar_out();" ONSELECTSTART="return false;">
						<TABLE id="tblMenuBar">
							<TR>
								<TD CLASS="clsMenuBarItem" id="tdMenuBarItemTopEvents">
									<A target="_self" HREF="../CutSets/Index.xml">Top Events</A>
								</TD>
								<TD>
									|
								</TD>
								<TD CLASS="clsMenuBarItem" ID="tdMenuBarItemFMEA">
									<A target="_self" HREF="Index.xml">FMEA</A>
								</TD>
							</TR>
						</TABLE>
					</DIV>
					<DIV CLASS="clsMenu" ONMOUSEOUT="Menu_out();" id="divMenuTopEvents">
						<DIV CLASS="clsMenuSpacer">
						</DIV>
						<xsl:for-each select="OtherFaultTree">
							<DIV>
								<xsl:element name="a"> 
									<xsl:attribute name="href"> 
										../CutSets/<xsl:value-of select="ID" />_CutSets.xml
									</xsl:attribute> 
									<xsl:value-of select="Name" />
								</xsl:element> 
							</DIV>
						</xsl:for-each>
					</DIV>
					<DIV CLASS="clsMenu" ONMOUSEOUT="Menu_out();" ID="divMenuFMEA">
						<DIV CLASS="clsMenuSpacer">						</DIV>
						<DIV>
							<A target="_self" HREF="Direct.xml">Direct Effects</A>
						</DIV>
						<DIV>
							<A target="_self" HREF="Further.xml">Further Effects</A>
						</DIV>
					</DIV>
				</TD>
			</TR>

			
			<TR>
				<TD>
					<TABLE id="ContentTable" cellSpacing="0">
						<TR>
							<TD>
								<TABLE id="PageLayout" cellSpacing="0">
									
<xsl:if test="count(Component)>0">

<TR>
		<TD id="CutSetsColumn">
			<TABLE id="CutSetsTable" cellSpacing="0">
				
<TR class="tableHeader">
					<TD>Failure Mode</TD>
					<TD>Direct Effect</TD>
				</TR>
	<xsl:for-each select="Component/BasicEvent">
	<xsl:sort select="count(Effect)" order="descending" data-type="number"/>
		<xsl:variable name="basic_event_position">
			<xsl:value-of select="position()"/>
		</xsl:variable>
		<xsl:variable name="basic_event_rowcount">
			<xsl:value-of select="count(Effect)"/>
		</xsl:variable>
		<xsl:for-each select="Effect">
		
			<xsl:choose>
				<xsl:when test="$basic_event_position = 1">
					<xsl:choose>
						<xsl:when test="position() = 1">
							<xsl:element name="TR"> 
								<xsl:attribute name="id">CutSetsDataRows</xsl:attribute>
								
								<xsl:element name="TD"> 
								<xsl:attribute name="class"> 
										FailureModeCell
									</xsl:attribute>
									<xsl:attribute name="rowspan"> 
										<xsl:copy-of select="$basic_event_rowcount" />
									</xsl:attribute>
									<xsl:value-of select="../Name" /> 
								</xsl:element>
								
								<xsl:element name="TD"> 
								<xsl:attribute name="class"> 
										EffectsCell
									</xsl:attribute>
									<xsl:attribute name="rowspan"> 
										1
									</xsl:attribute>
									<xsl:element name="a"> 
										<xsl:attribute name="href"> 
											../../CutSets/<xsl:value-of select="Name" />_CutSets.xml 
										</xsl:attribute> 
										<xsl:value-of select="Name" /> 
									</xsl:element> 
								</xsl:element>
								
							</xsl:element>	
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="TR"> 
								<xsl:attribute name="id">CutSetsDataRows</xsl:attribute>
								<xsl:element name="TD">
<xsl:attribute name="class"> 
										EffectsCell
									</xsl:attribute>								
									<xsl:attribute name="rowspan"> 
										1
									</xsl:attribute>
									<xsl:element name="a"> 
										<xsl:attribute name="href"> 
											../../CutSets/<xsl:value-of select="Name" />_CutSets.xml 
										</xsl:attribute> 
										<xsl:value-of select="Name" /> 
									</xsl:element> 
								</xsl:element>
								
							</xsl:element>	
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="position() = 1">
							<xsl:element name="TR"> 
								<xsl:attribute name="id">CutSetsDataRows</xsl:attribute>
								<xsl:element name="TD"> 
								<xsl:attribute name="class"> 
										FailureModeCell
									</xsl:attribute>
									<xsl:attribute name="rowspan"> 
										<xsl:copy-of select="$basic_event_rowcount" />
									</xsl:attribute>
									<xsl:value-of select="../Name" /> 
								</xsl:element>
								
								<xsl:element name="TD">
									<xsl:attribute name="class"> 
										EffectsCell
									</xsl:attribute>								
									<xsl:attribute name="rowspan"> 
										1
									</xsl:attribute>
									<xsl:element name="a"> 
										<xsl:attribute name="href"> 
											../../CutSets/<xsl:value-of select="Name" />_CutSets.xml 
										</xsl:attribute> 
										<xsl:value-of select="Name" /> 
									</xsl:element> 
								</xsl:element>
								
							</xsl:element>	
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="TR"> 
								<xsl:attribute name="id">CutSetsDataRows</xsl:attribute>
								<xsl:element name="TD"> 
								<xsl:attribute name="class"> 
										EffectsCell
									</xsl:attribute>
									<xsl:attribute name="rowspan"> 
										1
									</xsl:attribute>
									<xsl:element name="a"> 
										<xsl:attribute name="href"> 
											../../CutSets/<xsl:value-of select="Name" />_CutSets.xml 
										</xsl:attribute> 
										<xsl:value-of select="Name" /> 
									</xsl:element> 
								</xsl:element>
								
							</xsl:element>	
						</xsl:otherwise>
					</xsl:choose>	
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:for-each>
<TR><TD colspan="4"><BR/></TD></TR>

			</TABLE>
		</TD>
	</TR>
</xsl:if>
								</TABLE>

							</TD>
						</TR>					
					</TABLE>
				</TD>
			</TR>

		</TABLE>
	</BODY>
</xsl:template>

</xsl:stylesheet>

