<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
	<xsl:apply-templates select="//FaultTree"/>
	
</xsl:template>

<xsl:template match="FaultTree">
<HTML>
	<HEAD>		
		<TITLE><xsl:value-of select="ID" /> Minimal Cut Sets</TITLE>

<LINK REL="stylesheet" TYPE="text/css" HREF="FTOutput/css/menus.css" />
		

<SCRIPT LANGUAGE="JavaScript" SRC="FTOutput/javascript/ua.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript" SRC="FTOutput/javascript/ftiens4.js"></SCRIPT>
<xsl:element name="script"> 
	<xsl:attribute name="language">JavaScript</xsl:attribute> 									
	<xsl:attribute name="src">../../JS/FaultTrees/<xsl:value-of select="ID" />_FaultTree.js</xsl:attribute> 
</xsl:element> 
<SCRIPT LANGUAGE="JavaScript" SRC="FTOutput/javascript/menus.js"></SCRIPT>
		



		
	</HEAD>
	<BODY class="tableHeader">
		<TABLE id="MainTable" cellSpacing="0">
			<TR id="MenuRow">
				<TD>
					<DIV id="hipHop">
						<a target="_self" href="../Index.xml"><EM>hip</EM>HOPS</a>
					</DIV>
				</TD>
			</TR>
<TR id="MenuRow">
				<TD>
					<DIV id="divMenuBar" ONMOUSEOVER="if (document.all) MenuBar_over();" ONMOUSEOUT="if (document.all) MenuBar_out();" ONSELECTSTART="return false;">
						<TABLE id="tblMenuBar">
							<TR>
								<TD CLASS="clsMenuBarItem" id="tdMenuBarItemTopEvents">
									<A target="_self" HREF="Index.xml">Top Events</A>
								</TD>
								<TD>
									|
								</TD>
								<TD CLASS="clsMenuBarItem" ID="tdMenuBarItemFMEA">
									<A target="_self" HREF="../FMEA/Index.xml">FMEA</A>
								</TD>
							</TR>
						</TABLE>
					</DIV>
					<DIV CLASS="clsMenu" ONMOUSEOUT="Menu_out();" id="divMenuTopEvents">
						<DIV CLASS="clsMenuSpacer">
						</DIV>
						<xsl:for-each select="OtherFaultTree">
							<DIV>
								<xsl:element name="a"> 
									<xsl:attribute name="href"> 
										<xsl:value-of select="ID" />_CutSets.xml
									</xsl:attribute> 
									<xsl:value-of select="Name" />
								</xsl:element> 
							</DIV>
						</xsl:for-each>
					</DIV>
					<DIV CLASS="clsMenu" ONMOUSEOUT="Menu_out();" ID="divMenuFMEA">
						<DIV CLASS="clsMenuSpacer">						</DIV>
						<DIV>
							<A target="_self" HREF="../FMEA/Direct.xml">Direct Effects</A>
						</DIV>
						<DIV>
							<A target="_self" HREF="../FMEA/Further.xml">Further Effects</A>
						</DIV>
					</DIV>
				</TD>
			</TR>

			<TR>
				<TD>

					<TABLE id="TopEventDataTable" cellSpacing="1">
						<TR>
							<TD id="TopEventsLabel">
								Top Event (Effect)
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="Name" />
							</TD>
						</TR>
						<TR>
							<TD id="TopEventsLabel">
								System Unavailability
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="Unavailability" />
							</TD>
						</TR>
						<TR>
							<TD id="TopEventsLabel">
								Description
							</TD>
							<TD id="TopEventsData">
								<xsl:variable name="string" select="Description" />
									<xsl:variable name="str-length" select="string-length($string)" />
									<xsl:choose>
									  <xsl:when test="$str-length != 0">
										<xsl:value-of select="$string" />
									  </xsl:when>
									  <xsl:otherwise>
										<xsl:text>N/A</xsl:text>
									  </xsl:otherwise>
									</xsl:choose>	
							</TD>
						</TR>
						<TR>
							<TD id="TopEventsLabel">
								Number Of Cut Sets
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="NumberOfCutSets" />
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD>
					<TABLE id="ContentTable" cellSpacing="0">
						<TR>
<TD>
		<TABLE id="TreeViewTable" cellspacing="0">												<TR>
				<TD>
					<a id="TreeViewLink" href="http://www.treemenu.net/" target="_blank">JavaScript Tree Menu</a>
				</TD>
			</TR>
			<TR>
				<TD>
					<SPAN class="TreeviewSpanArea">
						<SCRIPT>
							initializeDocument()
						</SCRIPT>
						<NOSCRIPT>
							A tree for site navigation will open here if you enable JavaScript in your browser.
						</NOSCRIPT>
					</SPAN>
				</TD>
			</TR>
		</TABLE>
	</TD>
							<TD>
								<TABLE id="PageLayout" cellSpacing="0">
									<xsl:for-each select="CutSets">

<xsl:if test="count(CutSet)>0">

<TR>
		<TD id="CutSetsColumn">
			<TABLE id="CutSetsTable" cellSpacing="0">
				<TR>
					<TD><xsl:value-of select="count(CutSet)"/> x Cut Sets of Order: <xsl:value-of select="SIZE" /> </TD>
					<TD>Unavailability</TD>
				</TR>
<xsl:for-each select="CutSet">
				<TR id="CutSetsDataRows">
		<TD>
			<xsl:for-each select="BasicEvent"><xsl:value-of select="Name" /><BR/><BR/></xsl:for-each>
		</TD>
		<TD>
			<xsl:value-of select="Unavailability" />
		</TD>
	</TR>
</xsl:for-each>
			</TABLE>
		</TD>
	</TR>
</xsl:if>
</xsl:for-each>
								</TABLE>

							</TD>
						</TR>					
					</TABLE>
				</TD>
			</TR>

		</TABLE>
	</BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>

