<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	  
<xsl:template match="FaultTrees">
<TABLE id="LinkTable">
<TR class="LinkRow">
	<TD>

						<xsl:for-each select="OtherFaultTree">
							<DIV>
                <xsl:variable name="name">
                  <xsl:call-template name="string-replace-all">
                    <xsl:with-param name="text" select="Name" />
                    <xsl:with-param name="replace" select="'::'" />
                    <xsl:with-param name="by" select="'!!'" />
                  </xsl:call-template>
                </xsl:variable>
								<xsl:element name="a"> 
									<xsl:attribute name="href">
                    javascript:transformIsland('CutSets/XML/<xsl:value-of select="$name" />_CutSets.xml','FTOutput/XSL/cutsetssortOrder.xsl','ContentSpace');
                    transformIsland('CutSets/XML/<xsl:value-of select="$name" />_CutSets.xml','FTOutput/XSL/cutsetstopEvent.xsl','TopEventData');									
                    changeTitle('<xsl:value-of select="Name" /> Cut Sets');
									</xsl:attribute> 
									Click here to view cut sets for:
									<xsl:value-of select="Name" />
								</xsl:element> 
							</DIV>
						</xsl:for-each>
					
				</TD>
			</TR>

</TABLE>
</xsl:template>
  <xsl:template name="string-replace-all">
    <xsl:param name="text" />
    <xsl:param name="replace" />
    <xsl:param name="by" />
    <xsl:choose>
      <xsl:when test="contains($text, $replace)">
        <xsl:value-of select="substring-before($text,$replace)" />
        <xsl:value-of select="$by" />
        <xsl:call-template name="string-replace-all">
          <xsl:with-param name="text"
          select="substring-after($text,$replace)" />
          <xsl:with-param name="replace" select="$replace" />
          <xsl:with-param name="by" select="$by" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$text" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>