<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:faultTree ="http://www.hiphops.com/namespace/faultTree"
	  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

>

<xsl:template match="FixedEncoding">
<HTML>
<HEAD>
<TITLE>OF-vout.b - Fault Tree View</TITLE>
<LINK REL="stylesheet" TYPE="text/css" HREF="../FTOutput/css/menus.css" />
<SCRIPT LANGUAGE="JavaScript" SRC="../FTOutput/javascript/ua.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="../FTOutput/javascript/ftiens4.js"></SCRIPT>

<SCRIPT>
USETEXTLINKS = 1
STARTALLOPEN = 0
HIGHLIGHT = 1
PRESERVESTATE = 1
GLOBALTARGET="R"
ICONPATH = '../FTOutput/images/'
foldersTree = gFld("ModelName","javascript:toggleAllFolders(foldersTree)")
<xsl:for-each select="EncodingNode">
	<xsl:call-template name="EncodingNode"/>
	
	</xsl:for-each>
	 foldersTree.addChildren([<xsl:for-each select="EncodingNode">
	<xsl:variable name="auxVal" select="generate-id()" />
	<xsl:if test="position() &gt; 1"> , </xsl:if>
     aux<xsl:value-of select="$auxVal" />	
	</xsl:for-each>]);

  foldersTree.treeID = "L1"
  foldersTree.xID = "bigtree"
  foldersTree.iconSrc = ICONPATH + "model.gif";
  foldersTree.iconSrcClosed = ICONPATH + "model.gif";
</SCRIPT>
</HEAD>
<BODY>
<TABLE id="TreeViewTable" cellspacing="0">
<TR>
<TD>
<xsl:element name="SPAN"> 
	<xsl:attribute name="class">
		TreeviewSpanArea
	</xsl:attribute> 
	<SCRIPT>
	initializeDocument();
	</SCRIPT>
	
	
	<xsl:element name="NOSCRIPT"> 
		A tree for site navigation will open here if you enable JavaScript in your browser.
	</xsl:element> 
</xsl:element> 
</TD>
</TR>
</TABLE>
 </BODY>
 </HTML>
</xsl:template>
<xsl:template name="EncodingNode">
 <xsl:variable name="auxVal" select="generate-id()" />

     aux<xsl:value-of select="$auxVal" />  = gFld("<xsl:value-of select="Component/Name"/>", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
	 aux<xsl:value-of select="$auxVal" />.xID = "f<xsl:value-of select="$auxVal" />";
  aux<xsl:value-of select="$auxVal" />.iconSrc = ICONPATH + "Component.gif";
  aux<xsl:value-of select="$auxVal" />.iconSrcClosed = ICONPATH + "Component.gif";
  <xsl:for-each select="Component/Implementations/Implementation">
		<xsl:call-template name="Implementation">
			<xsl:with-param name="parentVal" select="$auxVal"/> 
		</xsl:call-template>
	 </xsl:for-each>
	 aux<xsl:value-of select="$auxVal" />.addChildren([<xsl:for-each select="Component/Implementations/Implementation">
	<xsl:variable name="subAuxVal" select="generate-id()" />
	<xsl:if test="position() &gt; 1"> , </xsl:if>
     aux<xsl:value-of select="$subAuxVal" />	
	</xsl:for-each>]);
 </xsl:template>
 <xsl:template name="Implementation">
 <xsl:param name="parentVal"/> 

 <xsl:variable name="auxVal" select="generate-id()" />
     aux<xsl:value-of select="$auxVal" />  = gFld("<xsl:value-of select="Name"/>", "javascript:toggleAllFolders(aux<xsl:value-of select="$auxVal" />)");
	 aux<xsl:value-of select="$auxVal" />.xID = "f<xsl:value-of select="$auxVal" />";
   aux<xsl:value-of select="$auxVal" />.iconSrc = ICONPATH + "Implementation.gif";
   aux<xsl:value-of select="$auxVal" />.iconSrcClosed = ICONPATH + "Implementation.gif";
   <xsl:for-each select="../../../SubNodes/EncodingNode">
		<xsl:call-template name="EncodingNode"/>
	 </xsl:for-each>
	 aux<xsl:value-of select="$auxVal" />.addChildren([<xsl:for-each select="../../../SubNodes/EncodingNode">
	<xsl:variable name="subAuxVal" select="generate-id()" />
	<xsl:if test="position() &gt; 1"> , </xsl:if>
     aux<xsl:value-of select="$subAuxVal" />	
	</xsl:for-each>]);
	 
 </xsl:template>
</xsl:stylesheet>